• Mind the Android GPU Gap

    Author
    Topic
    #2500727

    Got an android device..you should read this:

    Ian Beer Project Zero (Dated – Tuesday 22nd November 2022)

    The vulnerabilities discussed in this blog post (CVE-2022-33917) are fixed by the upstream vendor, but at the time of publication, these fixes have not yet made it downstream to affected Android devices (including Pixel, Samsung, Xiaomi, Oppo and others). Devices with a Mali GPU are currently vulnerable….

    Ref: https://googleprojectzero.blogspot.com/2022/11/mind-the-gap.html

    Check for a downstream update from your vendor.

    1 user thanked author for this post.
    Viewing 3 reply threads
    Author
    Replies
    • #2500741

      There is no chance that Android devices 2+ years old will get updated by vendors, except for Google (and maybe Samsung)

      1 user thanked author for this post.
    • #2500911

      Security v Economy..guess who wins at the cost of the environment

      1 user thanked author for this post.
    • #2500917

      Security v Economy..guess who wins at the cost of the environment

      Economy / environment wins.
      Android buyers don’t care about security so don’t upgrade every year or even 3 years.

    • #2501272

      Economy / environment wins. Android buyers don’t care about security so don’t upgrade every year or even 3 years.

      Au’ Contraire, Alex. I’m an Android user, and I DO care about security. Careful with those wide generalizations, I’ve stepped in that bear trap myself.

      My current phone is a Nokia that came out of the (now sadly defunct) Android One project, and was guaranteed security updates for three years after purchase.

      So far, they’ve honored this on a monthly basis, with a few exceptions in timliness.

      It DOES matter what Android brand phone you buy; caveat emptor, and all that jazz. Just because we don’t have the big bucks to go iPhone does not mean all of us are security ignorant.

      That’s too wide of a brush to paint with.

      Win7 Pro SP1 64-bit, Dell Latitude E6330, Intel CORE i5 "Ivy Bridge", 12GB RAM, Group "0Patch", Multiple Air-Gapped backup drives in different locations. Linux Mint Greenhorn
      --
      "Courage isn’t the absence of fear; it's being scared to death and going on anyway. The man who says he's fearless is a fool, and I won't have him in my command.” —Unknown

    Viewing 3 reply threads
    Reply To: Mind the Android GPU Gap

    You can use BBCodes to format your content.
    Your account can't use all available BBCodes, they will be stripped before saving.

    Your information: